%global filename com.github.cassidyjames

Name:           ephemeral
Version:        5.0.1
Release:        2%{?dist}
Summary:        Private-by-default, always-incognito browser

License:        GPLv3+
URL:            https://github.com/cassidyjames/ephemeral
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  /usr/bin/appstream-util
BuildRequires:  /usr/bin/desktop-file-validate
BuildRequires:  meson
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(webkit2gtk-4.0)
BuildRequires:  vala

%description
Browse the Internet in private without leaving a trace of history on your
computer. Ephemeral is a stripped down private browser that's perfect for
avoiding persistent cookies or web trackers. Close the window and all traces
of your browsing are removed from your device.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{filename}.%{name}

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{filename}.%{name}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{filename}.%{name}.desktop

%files -f %{filename}.%{name}.lang
%doc README.md
%license LICENSE
%{_bindir}/%{filename}.%{name}
%{_datadir}/applications/%{filename}.%{name}.desktop
%{_datadir}/glib-2.0/schemas/%{filename}.%{name}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{filename}.%{name}.svg
%{_metainfodir}/%{filename}.%{name}.appdata.xml

%changelog
* Tue Apr 16 2019 Adam Williamson <awilliam@redhat.com> - 5.0.1-2
- Rebuild with Meson fix for #1699099

* Tue Apr 02 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 5.0.1-1
- Update to 5.0.1.

* Wed Mar 13 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 4.2.0-1
- 4.2.0
  - New option to close the window when opening a page in an external browser
  - The web view is now focused when navigating

* Sat Feb 23 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 4.1.2-1
- 4.1.2
  - Updated and corrected several autocomplete domains
  - No longer attempt to force HTTPS on protocol-less domains—fixes several popular sites
  - Strip whitespace from URL entry before navigating—fixes instances where trying to navigate to a domain would perform a search
- 4.1.1
  - Corrected joinmastodon.org TLD
  - Added descriptions for more sites
  - Removed dead sites
  - Updated translations
- 4.1.0
  - The URL entry will offer to complete over 400 popular sites*
  - New Search Engine choice in the Menu
  - Switched to Startpage.com by default

* Wed Feb 13 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.4-1
- Added German translations

* Sun Feb 10 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.3-9
- Updated spec file

* Tue Feb 05 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.3-1
- Added Russian translations

* Sun Feb 03 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.2-1
- Initial release
